## Index

### Functions

- __promisify__

## Functions

### __promisify__

- __promisify__(stream1: ReadableStream, stream2: WritableStream): Promise<void>
- __promisify__(stream1: ReadableStream, stream2: ReadWriteStream, stream3: WritableStream): Promise<void>
- __promisify__(stream1: ReadableStream, stream2: ReadWriteStream, stream3: ReadWriteStream, stream4: WritableStream): Promise<void>
- __promisify__(stream1: ReadableStream, stream2: ReadWriteStream, stream3: ReadWriteStream, stream4: ReadWriteStream, stream5: WritableStream): Promise<void>
- __promisify__(streams: Array<ReadableStream | WritableStream | ReadWriteStream>): Promise<void>
- __promisify__(stream1: ReadableStream, stream2: ReadWriteStream | WritableStream, ...streams: Array<ReadWriteStream | WritableStream>): Promise<void>

- - Defined in node_modules/@types/node/stream.d.ts:274

  #### Parameters

  - ##### stream1: ReadableStream

  - ##### stream2: WritableStream

  #### Returns Promise<void>

- - Defined in node_modules/@types/node/stream.d.ts:275

  #### Parameters

  - ##### stream1: ReadableStream

  - ##### stream2: ReadWriteStream

  - ##### stream3: WritableStream

  #### Returns Promise<void>

- - Defined in node_modules/@types/node/stream.d.ts:276

  #### Parameters

  - ##### stream1: ReadableStream

  - ##### stream2: ReadWriteStream

  - ##### stream3: ReadWriteStream

  - ##### stream4: WritableStream

  #### Returns Promise<void>

- - Defined in node_modules/@types/node/stream.d.ts:277

  #### Parameters

  - ##### stream1: ReadableStream

  - ##### stream2: ReadWriteStream

  - ##### stream3: ReadWriteStream

  - ##### stream4: ReadWriteStream

  - ##### stream5: WritableStream

  #### Returns Promise<void>

- - Defined in node_modules/@types/node/stream.d.ts:284

  #### Parameters

  - ##### streams: Array<ReadableStream | WritableStream | ReadWriteStream>

  #### Returns Promise<void>

- - Defined in node_modules/@types/node/stream.d.ts:285

  #### Parameters

  - ##### stream1: ReadableStream

  - ##### stream2: ReadWriteStream | WritableStream

  - ##### Rest ...streams: Array<ReadWriteStream | WritableStream>

  #### Returns Promise<void>

Generated using TypeDoc